# Uses of Enum Class
com.destroystokyo.paper.event.player.PlayerSetSpawnEvent.Cause

Packages that use PlayerSetSpawnEvent.Cause
Package
Description
com.destroystokyo.paper.event.player

## Uses of PlayerSetSpawnEvent.Cause in com.destroystokyo.paper.event.player

Methods in com.destroystokyo.paper.event.player that return PlayerSetSpawnEvent.Cause
Modifier and Type
Method
Description
`@NotNull PlayerSetSpawnEvent.Cause`
PlayerSetSpawnEvent.`getCause()`
Gets the cause of this event.
`static PlayerSetSpawnEvent.Cause`
PlayerSetSpawnEvent.Cause.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PlayerSetSpawnEvent.Cause[]`
PlayerSetSpawnEvent.Cause.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in com.destroystokyo.paper.event.player with parameters of type PlayerSetSpawnEvent.Cause
Modifier
Constructor
Description
``
`PlayerSetSpawnEvent(@NotNull Player who, @NotNull PlayerSetSpawnEvent.Cause cause, @Nullable Location location, boolean forced, boolean notifyPlayer, @Nullable Component notification)`